Subject: Re: [PATCH] bcm63xx_enet: fix poll callback.

From: Jonas Gorski <[email-masked]>
Date: Wed, 04 Mar 2015 00:05:15 +0100

On 03.03.2015 18:42, Florian Fainelli wrote:
> On 03/03/15 05:53, Nicolas Schichan wrote:
>> On 03/03/2015 02:42 PM, Eric Dumazet wrote:
>>>> To avoid that, I would take priv->tx_lock only once, or add a limit on
>>>> the number of skbs that can be drained per round.
>>>
>>> Something like this (untested) patch
>>
>> I'm not against testing this patch, but we do not have any SMP capable bcm63xx
>> board here so I don't think it will be of any use.
>>
>> bcm6358 and bcm6368 do indeed have two MIPS threads, but SMP is not possible
>> (due to a data cache or TLB shared across all MIPS threads , unbearably
>> complicating things, IIRC).
> 
> 6358 does have the shared TLB (early BMIPS4350), but 6368 (later
> BMIPS4350) runs just fine in a regular SMP configuration, that's the
> default for OpenWrt actually. Maybe Jonas has something readily
> available he could test on?

While I do have several SMP capable boards here, I'm not sure what I'm
supposed to test and especially how.

I mean I can test whether it breaks things, but for testing whether it
fixes things I would need some help on how to break it first ;-)

Jonas